# Asterisk Project : Asterisk 13 ManagerAction_Setvar

Created by wikibot on Aug 08, 2014

# Setvar

### Synopsis

Sets a channel variable or function value.

### Description

This command can be used to set the value of channel variables or dialplan functions.

Note

Icon

If a channel name is not provided then the variable is considered global.

### Syntax

    Action: Setvar
    ActionID: <value>
    Channel: <value>
    Variable: <value>
    Value: <value>

##### Arguments

- `ActionID` - ActionID for this transaction. Will be returned.
- `Channel` - Channel to set variable for.
- `Variable` - Variable name, function or expression.
- `Value` - Variable or function value.

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538